package com.kxs.product.biz.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商户模块枚举类
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum GdReportEnum {

    /**
     * 报备状态
     */
    PENDING(0, "待处理"),
    REPORT(1, "已报备"),
    CANCEL(-1, "已作废"),
    /**
     *
     */
    GH(0, "工号报备"),
    DQ(1, "电渠报备"),

    /**
     * 匹配状态
     */
    CHECK_NO(0, "未匹配"),
    CHECK_SUC(1, "匹配成功");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
